<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "dept";
$formname = "Department Print";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {
    $name = $_POST['name'];
    $country = $_POST['country'];
    $city = $_POST['city'];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = " AND `code`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE code != '' $namecond $citycond $countrycond ") or die(mysqli_error($conn));

    include("includes/linkshead.php");
    ?>
    <script src="MyScript/item.js" type="text/javascript"></script>
    </head>

    <body>
        <div class="container" style="width:68%">
            <?php include("includes/head_rep.php") ?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-hover table-bordered">
                        <tr class="mySearchTr">
                            <th>Sr</th>
                            <th>Name</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            echo "<tr>";
                            echo "<td>$ctr</td>";
                            echo "<td>$pmain[name]</td>";
                            echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>

    </html>
    <?
}

if (isset($_POST["excel"])) {
    $name = $_POST['name'];
    $country = $_POST['country'];
    $city = $_POST['city'];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $countrycond ") or die(mysqli_error($conn));

    $contents .= "Sr,Name,Address,Country,City,Email,Pin,Tel\n";

    $ctr = 0;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $ctr++;
        $pname = $pmain['name'];
        $paddress = $pmain['add1'] . $pmain['add2'] . $pmain['add3'];
        $pcountry = $pmain['country'];
        $pcity = $pmain['city'];
        $pemail = $pmain['email'];
        $ppin = $pmain['pin'];
        $ptel = $pmain['tel'];

        $contents .= $ctr . ",";
        $contents .= $pname . ",";
        $contents .= $paddress . ",";
        $contents .= $pcountry . ",";
        $contents .= $pcity . ",";
        $contents .= $pemail . ",";
        $contents .= $ppin . ",";
        $contents .= $ptel . "\n";
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
if (isset($_POST["subpdf"])) {

    $name = $_POST[name];
    $country = $_POST[country];
    $city = $_POST[city];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $countrycond ") or die(mysqli_error($conn));


    $mycomp = $_SESSION["comp_" . $dbname];
    $zroot = $_SESSION["zdbroot"];
    $getcomp = mysqli_query($conn, "SELECT * FROM $zroot.`company`") or die(mysqli_error($conn));
    $comp = mysqli_fetch_array($getcomp);

    require("library/fpdf/fpdf.php");

    class pdf extends fpdf
    {

        function Footer()
        {

            //Position at 1.5 cm from bottom

            $this->SetY(-15);

            //Arial italic 8

            $this->SetFont('Arial', 'I', 8);

            //Page number

            $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
        }

    }

    $pdf = new pdf('L', 'mm', 'A4');

    $pdf->AliasNbPages();

    $pdf->AddPage();
    //    include(include/head_rep_pdf2.php"");
    $pdf->SetFont('Arial', '', 18);
    $pdf->Cell(100, 7, "$comp[compname]", 0, 'L');
    $pdf->Ln();
    $pdf->SetFont('Arial', '', 9);
    //    $pdf->Cell(100, 7, "OCEAN HOUSE, RAJENDRA GURU NAGAR, NEAR NEW NERAL POLICE STATION NERAL DIST-RAIGAD", 0, 'L');
    $address = str_replace('       ', ' ', $comp[add1] . $comp[add2] . $comp[add3]);
    $pdf->Cell(100, 7, $address, 0, 'L');
    $pdf->Ln();
    $pdf->SetFont('Arial', 'I', 10);
    $pdf->SetTextColor(000, 000, 000);
    $pdf->SetFillColor(249, 244, 245);

    $pdf->Cell(200, 7, "Print - " . $formname, 0, 'L');
    $pdf->Cell(0, 7, "Report Date - " . Date("d-m-y"), 0, 'L');
    $pdf->Ln();
    $pdf->SetFont('Arial', '', 10);
    $pdf->SetTextColor(255, 255, 255);
    $pdf->SetFillColor(3, 125, 149);
    $pdf->Cell(14, 7, "Sr.", 1, 0, '', 1);
    $pdf->Cell(50, 7, "Name", 1, 0, '', 1);
    $pdf->Cell(100, 7, "Address", 1, 0, '', 1);
    $pdf->Cell(32, 7, "City", 1, 0, '', 1);
    $pdf->Cell(42, 7, "Email", 1, 0, '', 1);
    $pdf->Cell(20, 7, "Pin", 1, 0, '', 1);
    $pdf->Cell(25, 7, "Tel", 1, 0, '', 1);
    $pdf->SetFont('Arial', '', 1, 0);

    $pdf->SetTextColor(0, 0, 0);
    $pdf->Ln();

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $pdf->SetFont('Arial', '', 7);
        $pdf->Cell(14, 7, "$ctr", 1);
        $pdf->Cell(50, 7, "$pmain[name]", 1);
        $pdf->Cell(100, 7, "$pmain[add1]" . "$pmain[add2]" . "$pmain[add3]", 1);

        $pdf->Cell(32, 7, "$pmain[city]", 1);
        $pdf->Cell(42, 7, "$pmain[email]", 1);
        $pdf->Cell(20, 7, "$pmain[pin]", 1);
        $pdf->Cell(25, 7, "$pmain[tel]", 1);
        $pdf->Ln();
        $ctr++;
    }
    $pdf->Output("Supplier.pdf", "D");
}
?>